package com.gic.finance.web.controller;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.gic.commons.webapi.reponse.RestResponse;
import com.gic.enterprise.utils.ResultControllerUtils;
import com.gic.finance.qo.TransferListQueryQO;
import com.gic.finance.service.TransferAccountsApprovalApiService;
import com.gic.finance.web.vo.TransferApprovalDetailVO;
import com.gic.finance.web.vo.TransferApprovalListVO;

/**
 * 转账审批
 * @ClassName: TransferAccountsApprovalController 
 * @Description:  
 * @author guojuxing 
 * @date 2019/8/9 5:05 PM 
 */
@RestController
@RequestMapping("/transfer-accounts-approval")
public class TransferAccountsApprovalController {
    private static final Logger LOGGER = LoggerFactory.getLogger(TransferAccountsApprovalController.class);

    @Autowired
    private TransferAccountsApprovalApiService transferAccountsApprovalApiService;

    @RequestMapping("/get-approval")
    public RestResponse getById(Integer id) {
        return ResultControllerUtils.commonResultOne(transferAccountsApprovalApiService.getById(id), TransferApprovalDetailVO.class);
    }

    @RequestMapping("/agree-approval")
    public RestResponse agreeApproval(Integer id, Double accountAmount) {
        return ResultControllerUtils.commonResult(transferAccountsApprovalApiService.agreeApproval(id, accountAmount));
    }

    @RequestMapping("/cancel-approval")
    public RestResponse cancelApproval(Integer id) {
        return ResultControllerUtils.commonResult(transferAccountsApprovalApiService.cancelApproval(id));
    }

    @RequestMapping("/list-approval")
    public RestResponse listTransferAccountsApproval(TransferListQueryQO params) {
        return ResultControllerUtils.commonPageResult(
                transferAccountsApprovalApiService.listTransferAccountsApproval(params), TransferApprovalListVO.class);
    }
}
